Bug 1205620 (CVE-2015-1806) - CVE-2015-1806 jenkins: Combination filter Groovy script unsecured (SECURITY-125)
Summary: CVE-2015-1806 jenkins: Combination filter Groovy script unsecured (SECURITY-125)
Status: NEW
Alias: CVE-2015-1806
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150227,repor...
Keywords: Reopened, Security
Depends On: 1205637 1205638 1248781
Blocks: 1205634
TreeView+ depends on / blocked
 
Reported: 2015-03-25 10:47 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:30 UTC (History)
11 users (show)

(edit)
It was found that the combination filter Groovy script could allow a remote attacker to potentially execute arbitrary code on a Jenkins master.
Clone Of:
(edit)
Last Closed: 2015-09-30 16:43:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1844 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.7 security, bug fix and enhancement update 2015-09-30 20:35:28 UTC
Red Hat Product Errata RHSA-2016:0070 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.1.1 bug fix and enhancement update 2016-01-27 00:12:41 UTC

Description Vasyl Kaigorodov 2015-03-25 10:47:02 UTC
This vulnerability allows users with the job configuration privilege to escalate his privileges, resulting in arbitrary code execution to the master.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-02-27

Comment 2 Vasyl Kaigorodov 2015-03-25 11:06:02 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1205637]

Comment 3 Fedora Update System 2015-04-18 09:43:59 UTC
jenkins-1.590-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-21 19:08:39 UTC
jenkins-1.606-1.fc22, jffi-1.2.7-5.fc22, jenkins-executable-war-1.29-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-09-30 16:36:57 UTC
This issue has been addressed in the following products:

  RHEL 6 Version of OpenShift Enterprise 2.2

Via RHSA-2015:1844 https://rhn.redhat.com/errata/RHSA-2015-1844.html

Comment 9 errata-xmlrpc 2016-01-26 19:15:27 UTC
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070


Note You need to log in before you can comment on or make changes to this bug.